org.hibernate.search.elasticsearch.nulls.codec.impl

## Class ElasticsearchDoubleNullMarkerCodec

- java.lang.Object
- - org.hibernate.search.elasticsearch.nulls.codec.impl.ElasticsearchAsNullNullMarkerCodec
  - - org.hibernate.search.elasticsearch.nulls.codec.impl.ElasticsearchDoubleNullMarkerCodec

- All Implemented Interfaces:
    NullMarkerCodec

      public class ElasticsearchDoubleNullMarkerCodec
      extends ElasticsearchAsNullNullMarkerCodec

  Author:
    Sanne Grinovero

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.nulls.codec.impl.ElasticsearchAsNullNullMarkerCodec

      `nullMarker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElasticsearchDoubleNullMarkerCodec(NullMarker nullMarker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `createNullMatchingQuery(String fieldName)` Create a Query to find all documents which have a 'null' value encoded in the specified field

    - ### Methods inherited from class org.hibernate.search.elasticsearch.nulls.codec.impl.ElasticsearchAsNullNullMarkerCodec

      `encodeNullValue, getNullMarker, representsNullValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ElasticsearchDoubleNullMarkerCodec

          public ElasticsearchDoubleNullMarkerCodec(NullMarker nullMarker)

  - ### Method Detail

    - #### createNullMatchingQuery

          public Query createNullMatchingQuery(String fieldName)

      Description copied from interface: `NullMarkerCodec`
      Create a Query to find all documents which have a 'null' value encoded in the specified field
      Parameters:
        `fieldName` - the field to target with the Query
      Returns:
        a new Lucene Query

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved